Create a new Recipient
curl --request POST \
--url https://staging.api.onenumber.africa/v1/recipients \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"phoneNumber": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>"
}
'import requests
url = "https://staging.api.onenumber.africa/v1/recipients"
payload = {
"phoneNumber": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
phoneNumber: '<string>',
firstName: '<string>',
lastName: '<string>',
email: '<string>'
})
};
fetch('https://staging.api.onenumber.africa/v1/recipients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 123,
"message": "<string>",
"data": [
{
"reference": "<string>",
"phoneNumber": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>"
}
]
}Recipients
Create a new Recipient
POST
/
recipients
Create a new Recipient
Request Body Parameters
string
required
The phone number of the Recipient.
string
The first name of the Recipient.
string
The first name of the Recipient.
string
The email of the Recipient.
Successful Response Data
int
required
The status of the response. For successful response, value is 201. Check the Response Codes page for details.
string
required
The message of the response.
⌘I
